'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var env = _interopDefault(require('babel-preset-env'));
var restSpread = _interopDefault(require('babel-plugin-transform-object-rest-spread'));

function index (context, {react}) {
  return {
    presets: [env(null, {targets: {node: 'current'}}), react && require('babel-preset-react')].filter(Boolean),
    plugins: [[restSpread, {useBuiltIns: true}]]
  };
}

module.exports = index;
//# sourceMappingURL=index.cjs.js.map
